THUMBOR(1)

NAME
thumbor - Thumbnailing service

DESCRIPTION
usage: thumbor [-h] [--version] [-p PORT] [-i IP] [-f FD] [-c CONF]

    [-k KEYFILE] [-l LOG_LEVEL] [-a APP]

thumbor server

  optional arguments:

-h, --help
    show this help message and exit

--version
    show program's version number and exit

-p PORT, --port PORT
    The port to run this thumbor instance at [default: 8888].

-i IP, --ip IP
    The host address to run this thumbor instance at [default: 0.0.0.0].

-f FD, --fd FD
    The file descriptor number or path to listen for connections on (--port and --ip will be ignored if this is set)[default: None].

-c CONF, --conf CONF
    The path of the configuration file to use for this thumbor instance [default: None].

-k KEYFILE, --keyfile KEYFILE
    The path of the configuration file to use for this thumbor instance [default: None].

-l LOG_LEVEL, --log-level LOG_LEVEL
    The log level to be used. Possible values are: debug, info, warning, error, critical or notset. [default: warning].

-a APP, --app APP
    A custom app to use for this thumbor server in case you subclassed ThumborServiceApp [default: thumbor.app.ThumborServiceApp].

SEE ALSO
The full documentation for thumbor is maintained as a Texinfo manual. If the info and thumbor programs are properly installed at your site, the command

    info thumbor

should give you access to the complete manual.